# 镜像构建和部署

三个启动内核：

bootload：引导程序加载，初始化

## 





# Linux基础命令

<[菜鸟教程 - 学的不仅是技术，更是梦想！](https://www.runoob.com/)>



## cd

```
打开目录

cd..		cd./
```

## ls

```
查看文件夹
```

## touch：创建并修改权限

```
Linux touch命令用于修改文件或者目录的时间属性，包括存取时间和更改时间。若文件不存在，系统会建立一个新的文件。

ls -l 可以显示档案的时间记录。


修改权限
chmod 777 hello.c

r	w	s三个权限优先级
```

## mkdir

```
创建目录

-p 确保目录名称存在，不存在的就建一个。

mkdir -p wenjianjia_1

mkdir -
```

## mdir

```
mdir [-afwx/][目录]

Linux mdir命令用于显示MS-DOS目录。

mdir为mtools工具指令，模拟MS-DOS的dir指令，可显示MS-DOS文件系统中的目录内容。

-/ 显示目录下所有子目录与文件。
-a 　显示隐藏文件。
-f 　不显示磁盘所剩余的可用空间。
-w 　仅显示目录或文件名称，并以横排方式呈现，以便一次能显示较多的目录或文件。
-X 　仅显示目录下所有子目录与文件的完整路径，不显示其他信息。
```

## rm 

```
remove
删除
```

## cat :读取内容——例如文本文档

```
cat（英文全拼：concatenate）命令用于连接文件并打印到标准输出设备上，它的主要作用是用于查看和连接文件

lian@lian-virtual-machine:~/桌面/111$ cat -n 333.txt
     1	123

-n：显示行号，会在输出的每一行前加上行号。
-b：显示行号，但只对非空行进行编号。
-s：压缩连续的空行，只显示一个空行。
-E：在每一行的末尾显示 $ 符号。
-T：将 Tab 字符显示为 ^I。
-v：显示一些非打印字符。


```

## mv

```
（英文全拼：move file）命令用来为文件或目录改名、或将文件或目录移入其它位置。


-b: 当目标文件或目录存在时，在执行覆盖前，会为其创建一个备份。
-i: 如果指定移动的源目录或文件与目标的目录或文件同名，则会先询问是否覆盖旧文件，输入 y 表示直接覆盖，输入 n 表示取消该操作。
-f: 如果指定移动的源目录或文件与目标的目录或文件同名，不会询问，直接覆盖旧文件。
-n: 不要覆盖任何已存在的文件或目录。
-u：当源文件比目标文件新或者目标文件不存在时，才执行移动操作。

move -i wenjianjia_1
```

## cp:复制

```
-r 或 -R：递归复制目录及其内容（用于复制目录）。

-i：交互模式，覆盖前提示用户确认。

-f：强制复制，覆盖目标文件而不提示。

-v：显示详细的复制过程（verbose）。

-p：保留文件的原始属性（如权限、时间戳等）。

-a：归档模式，等同于 -dpR，保留所有文件属性和递归复制目录。

-u：仅当源文件比目标文件新时才复制（更新模式）。

-l：创建硬链接而不是复制文件。

-s：创建符号链接（软链接）而不是复制文件。

cp file.txt /path/to/destination/

cp file.txt /path/to/destination/newfile.txt

```

## chattr:改变文件属性

```
chattr [-RV][-v<版本编号>][+/-/=<属性>][文件或目录...]

a：让文件或目录仅供附加用途。
b：不更新文件或目录的最后存取时间。
c：将文件或目录压缩后存放。
d：将文件或目录排除在倾倒操作之外。
i：不得任意更动文件或目录。
s：保密性删除文件或目录。
S：即时更新文件或目录。
u：预防意外删除。


-R 递归处理，将指定目录下的所有文件及子目录一并处理。
　　-v<版本编号> 设置文件或目录版本。
　　-V 显示指令执行过程。
　　+<属性> 开启文件或目录的该项属性。
　　-<属性> 关闭文件或目录的该项属性。
　　=<属性> 指定文件或目录的该项属性。
```

## lsattr ：显示文件属性。

```
lsattr [-adlRvV][文件或目录...]

lian@lian-virtual-machine:~/桌面/111$ lsattr 333.txt
--------c-----e------- 333.txt
lian@lian-virtual-machine:~/桌面/111$ lsattr 444.txt
--------------e------- 444.txt


-a 　显示所有文件和目录，包括以"."为名称开头字符的额外内建，现行目录"."与上层目录".."。
-d 　显示，目录名称，而非其内容。
-l 　此参数目前没有任何作用。
-R 　递归处理，将指定目录下的所有文件及子目录一并处理。
-v 　显示文件或目录版本。
-V 　显示版本信息。
```

## chgrp：变更文件、目录群组

```

```

## chmod：控制用户对文件的权限

```

```

## chown ：设置文件所有者和文件关联组

```

```

## cksum：检查文件的CRC

```

```

## cmp ：比较两个文件是否有差异

```
cmp  111.txt 222.txt

lian@lian-virtual-machine:~/桌面/111$ cmp  333.txt 444.txt
333.txt 444.txt 不同：第 3 字节（第 1 行），分别为  63 3、 64 4


-c或--print-chars 　除了标明差异处的十进制字码之外，一并显示该字符所对应字符。
-i<字符数目>或--ignore-initial=<字符数目> 　指定一个数目。
-l或--verbose 　标示出所有不一样的地方。
-s或--quiet或--silent 　不显示错误信息。
-v或--version 　显示版本信息。
--help 　在线帮助。
```

## diff ：比较文件的差异

```

```

## diffstat：根据diff的比较结果，显示统计数字

```

```

## file：辨识文件类型

```

```

## find ：查找文件和目录

```

```

